com.lowagie.text.pdf

## Class PdfLister

- java.lang.Object
- - com.lowagie.text.pdf.PdfLister

-     public class PdfLister
      extends java.lang.Object

  List a PDF file in human-readable form (for debugging reasons mostly)
  Author:
    Mark Thompson

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.io.PrintStream` | `out` the printStream you want to write the output to.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfLister(java.io.PrintStream out)` Create a new lister object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `listAnyObject(PdfObject object)` Visualizes a PDF object.
    `void` | `listArray(PdfArray array)` Visualizes a PdfArray object.
    `void` | `listDict(PdfDictionary dictionary)` Visualizes a PdfDictionary object.
    `void` | `listPage(PdfImportedPage iPage)` Visualizes an imported page
    `void` | `listStream(PRStream stream, PdfReaderInstance reader)` Visualizes a Stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### out

          java.io.PrintStream out

      the printStream you want to write the output to.

  - ### Constructor Detail

    - #### PdfLister

          public PdfLister(java.io.PrintStream out)

      Create a new lister object.
      Parameters:
        `out` -

  - ### Method Detail

    - #### listAnyObject

          public void listAnyObject(PdfObject object)

      Visualizes a PDF object.
      Parameters:
        `object` - a com.lowagie.text.pdf object

    - #### listDict

          public void listDict(PdfDictionary dictionary)

      Visualizes a PdfDictionary object.
      Parameters:
        `dictionary` - a com.lowagie.text.pdf.PdfDictionary object

    - #### listArray

          public void listArray(PdfArray array)

      Visualizes a PdfArray object.
      Parameters:
        `array` - a com.lowagie.text.pdf.PdfArray object

    - #### listStream

          public void listStream(PRStream stream,
                        PdfReaderInstance reader)

      Visualizes a Stream.
      Parameters:
        `stream` -
        `reader` -

    - #### listPage

          public void listPage(PdfImportedPage iPage)

      Visualizes an imported page
      Parameters:
        `iPage` -